| OpenCV 4.3.0 Open Source Computer Vision

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::rgbd::DepthCleaner Class Reference
RGB-Depth Processing

`#include <opencv2/rgbd/depth.hpp>`

Inheritance diagram for cv::rgbd::DepthCleaner:

## Public Types
enum | DEPTH_CLEANER_METHOD { DEPTH_CLEANER_NIL }

## Public Member Functions
| DepthCleaner ()
| DepthCleaner (int depth, int window_size=5, int method=DepthCleaner::DEPTH_CLEANER_NIL)
| ~DepthCleaner ()
int | getDepth () const
int | getMethod () const
int | getWindowSize () const
void | initialize () const
void | operator() (InputArray points, OutputArray depth) const
void | setDepth (int val)
void | setMethod (int val)
void | setWindowSize (int val)
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< DepthCleaner > | create (int depth, int window_size=5, int method=DepthCleaner::DEPTH_CLEANER_NIL)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
void | initialize_cleaner_impl () const
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Protected Attributes
int | depth_
void * | depth_cleaner_impl_
int | method_
int | window_size_

## Detailed Description

Object that can clean a noisy depth image

## Member Enumeration Documentation

## ◆ DEPTH_CLEANER_METHOD

enum cv::rgbd::DepthCleaner::DEPTH_CLEANER_METHOD

NIL method is from `Modeling Kinect Sensor Noise for Improved 3d Reconstruction and Tracking` by C. Nguyen, S. Izadi, D. Lovel

Enumerator
DEPTH_CLEANER_NIL |

## Constructor & Destructor Documentation

## ◆ DepthCleaner() [1/2]

cv::rgbd::DepthCleaner::DepthCleaner | ( |  | ) |
| inline

## ◆ DepthCleaner() [2/2]

cv::rgbd::DepthCleaner::DepthCleaner | ( | int | depth,
|  | int | window_size = `5`,
|  | int | method = `DepthCleaner::DEPTH_CLEANER_NIL`
| ) |  |

Constructor

Parameters

  depth | the depth of the normals (only CV_32F or CV_64F)
  window_size | the window size to compute the normals: can only be 1,3,5 or 7
  method | one of the methods to use: RGBD_NORMALS_METHOD_SRI, RGBD_NORMALS_METHOD_FALS

## ◆ ~DepthCleaner()

cv::rgbd::DepthCleaner::~DepthCleaner | ( |  | ) |

## Member Function Documentation

## ◆ create()

static Ptr<DepthCleaner> cv::rgbd::DepthCleaner::create | ( | int | depth,
|  | int | window_size = `5`,
|  | int | method = `DepthCleaner::DEPTH_CLEANER_NIL`
| ) |  |
| static

Python:
| retval | = | cv.rgbd.DepthCleaner_create( | depth[, window_size[, method]] | )

## ◆ getDepth()

int cv::rgbd::DepthCleaner::getDepth | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_DepthCleaner.getDepth( |  | )

## ◆ getMethod()

int cv::rgbd::DepthCleaner::getMethod | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_DepthCleaner.getMethod( |  | )

## ◆ getWindowSize()

int cv::rgbd::DepthCleaner::getWindowSize | ( |  | ) | const
| inline

Python:
| retval | = | cv.rgbd_DepthCleaner.getWindowSize( |  | )

## ◆ initialize()

void cv::rgbd::DepthCleaner::initialize | ( |  | ) | const

Python:
| None | = | cv.rgbd_DepthCleaner.initialize( |  | )

Initializes some data that is cached for later computation If that function is not called, it will be called the first time normals are computed

## ◆ initialize_cleaner_impl()

void cv::rgbd::DepthCleaner::initialize_cleaner_impl | ( |  | ) | const
| protected

## ◆ operator()()

void cv::rgbd::DepthCleaner::operator() | ( | InputArray | points,
|  | OutputArray | depth
| ) |  | const

Given a set of 3d points in a depth image, compute the normals at each point.

Parameters

  points | a rows x cols x 3 matrix of CV_32F/CV64F or a rows x cols x 1 CV_U16S
  depth | a rows x cols matrix of the cleaned up depth

## ◆ setDepth()

void cv::rgbd::DepthCleaner::setDepth | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_DepthCleaner.setDepth( | val | )

## ◆ setMethod()

void cv::rgbd::DepthCleaner::setMethod | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_DepthCleaner.setMethod( | val | )

## ◆ setWindowSize()

void cv::rgbd::DepthCleaner::setWindowSize | ( | int | val | ) |
| inline

Python:
| None | = | cv.rgbd_DepthCleaner.setWindowSize( | val | )

## Member Data Documentation

## ◆ depth_

int cv::rgbd::DepthCleaner::depth_
| protected

## ◆ depth_cleaner_impl_

void* cv::rgbd::DepthCleaner::depth_cleaner_impl_
| mutable protected

## ◆ method_

int cv::rgbd::DepthCleaner::method_
| protected

## ◆ window_size_

int cv::rgbd::DepthCleaner::window_size_
| protected

The documentation for this class was generated from the following file:

- opencv2/rgbd/depth.hpp